Package org.jboss.logmanager.formatters

# Class PatternFormatter

java.lang.Object
java.util.logging.Formatter
org.jboss.logmanager.ExtFormatter
org.jboss.logmanager.formatters.MultistepFormatter
org.jboss.logmanager.formatters.PatternFormatter

public class PatternFormatter extends MultistepFormatter
A formatter which uses a text pattern to format messages.

## Constructor Summary

Constructors
Constructor
Description
`PatternFormatter()`
Construct a new instance.
`PatternFormatter(String pattern)`
Construct a new instance.
`PatternFormatter(String pattern, String colors)`
Construct a new instance.

## Method Summary

Modifier and Type
Method
Description
`String`
`getColors()`
`String`
`getPattern()`
Get the current format pattern.
`void`
`setColors(String colors)`
Set the color map to use for log levels when %K{level} is used.
`void`
`setPattern(String pattern)`
Set the format pattern.

### Methods inherited from class org.jboss.logmanager.formatters.MultistepFormatter

`format, getSteps, isCallerCalculationRequired, setSteps`

### Methods inherited from class org.jboss.logmanager.ExtFormatter

`format`

### Methods inherited from class java.util.logging.Formatter

`formatMessage, getHead, getTail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PatternFormatter

public PatternFormatter()
Construct a new instance.

### PatternFormatter

public PatternFormatter(String pattern)
Construct a new instance.

Parameters:
  `pattern` - the initial pattern

### PatternFormatter

public PatternFormatter(String pattern, String colors)
Construct a new instance.

Parameters:
  `pattern` - the initial pattern
  `colors` - the color map to use

## Method Details

### getPattern

public String getPattern()
Get the current format pattern.

Returns:
  the pattern

### setPattern

public void setPattern(String pattern)
Set the format pattern.

Parameters:
  `pattern` - the pattern

### setColors

public void setColors(String colors)
Set the color map to use for log levels when %K{level} is used.

The format is level:color,level:color,...

Where level is either a numerical value or one of the following constants:

fatal
error
severe
warn
warning
info
config
debug
trace
fine
finer
finest

Color is one of the following constants:

clear
black
red
green
yellow
blue
magenta
cyan
white
brightblack
brightred
brightgreen
brightyellow
brightblue
brightmagenta
brightcyan
brightwhite

Parameters:
  `colors` - a colormap expression string described above

### getColors

public String getColors()